View Issue Details

IDProjectCategoryView StatusLast Update
0015517FPCRTLpublic2011-05-01 22:10
ReporterWimpie Nortje Assigned ToMichael Van Canneyt  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Platformi386OSWindows 
Product Version2.4.0 
Target Version2.4.2Fixed in Version2.4.2 
Summary0015517: Feature request: Add Exchange procedure to TCollection
DescriptionIt would be usefull if TCollection had an Exchange(Index1, index2: integer) procedure to swop two items in the list, similiar to TList.Exchange. Currently this has to be done by setting the item's Index property
TagsNo tags attached.
Fixed in Revision15057
FPCOldBugId0
FPCTarget
Attached Files

Activities

Michael Van Canneyt

2010-03-14 11:25

administrator   ~0035485

Added in trunk

Issue History

Date Modified Username Field Change
2010-01-14 22:19 Wimpie Nortje New Issue
2010-01-23 12:09 Jonas Maebe Status new => assigned
2010-01-23 12:09 Jonas Maebe Assigned To => Michael Van Canneyt
2010-03-14 11:25 Michael Van Canneyt Fixed in Revision => 15012
2010-03-14 11:25 Michael Van Canneyt Status assigned => resolved
2010-03-14 11:25 Michael Van Canneyt Fixed in Version => 2.4.1
2010-03-14 11:25 Michael Van Canneyt Resolution open => fixed
2010-03-14 11:25 Michael Van Canneyt Note Added: 0035485
2010-03-14 11:25 Michael Van Canneyt Target Version => 2.4.2
2010-11-13 21:30 Jonas Maebe FPCOldBugId => 0
2010-11-13 21:30 Jonas Maebe Fixed in Revision 15012 => 15057
2011-05-01 22:10 Marco van de Voort Status resolved => closed